XPathEvaluationResult.XPathResultType (Java SE 26 & JDK 26)
Description: declaration: module: java.xml, package: javax.xml.xpath, interface: XPathEvaluationResult, enum: XPathResultType
Keywords: javax.xml.xpath.XPathEvaluationResult.XPathResultType class

# Enum Class XPathEvaluationResult.XPathResultType

java.lang.Object
java.lang.Enum<XPathEvaluationResult.XPathResultType>
javax.xml.xpath.XPathEvaluationResult.XPathResultType

All Implemented Interfaces:
  `Serializable, Comparable<XPathEvaluationResult.XPathResultType>, Constable`

Enclosing interface:
  `XPathEvaluationResult<T>`

public static enum XPathEvaluationResult.XPathResultType extends Enum<XPathEvaluationResult.XPathResultType>
XPathResultType represents possible return types of an XPath evaluation. Provided as an enum type, it allows the use of switch statement. At the same time, a mapping is provided between the original QName types in `XPathConstants` and class types used in the generic methods.

Since:
  9

- ## Nested Class Summary

  ### Nested classes/interfaces declared in class Enum

  `Enum.EnumDesc<E>`
  Modifier and Type
  Class
  Description
  `static final class`
  `Enum.EnumDesc<E extends Enum<E>>`
  A nominal descriptor for an `enum` constant.

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `ANY`
  Any type that represents any of the 5 other types listed below.
  `BOOLEAN`
  The XPath 1.0 boolean data type.
  `NODE`
  The XPath 1.0 Node data type.
  `NODESET`
  The XPath 1.0 NodeSet data type.
  `NUMBER`
  The XPath 1.0 Number data type.
  `STRING`
  The XPath 1.0 String data type.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static QName`
  `getQNameType(Class<?> clsType)`
  Returns the QName type as specified in `XPathConstants` that corresponds to the specified class type.
  `static XPathEvaluationResult.XPathResultType`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static XPathEvaluationResult.XPathResultType[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods declared in class Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`
  Modifier and Type
  Method
  Description
  `protected final Object`
  `clone()`
  Throws CloneNotSupportedException.
  `final int`
  `compareTo(XPathEvaluationResult.XPathResultType o)`
  Compares this enum with the specified object for order.
  `final Optional<Enum.EnumDesc<XPathEvaluationResult.XPathResultType>>`
  `describeConstable()`
  Returns an enum descriptor `EnumDesc` for this instance, if one can be constructed, or an empty `Optional` if one cannot be.
  `final boolean`
  `equals(Object other)`
  Returns true if the specified object is equal to this enum constant.
  `protected final void`
  `finalize()`
  Deprecated, for removal: This API element is subject to removal in a future version.
  Finalization has been deprecated for removal.
  `final Class<XPathEvaluationResult.XPathResultType>`
  `getDeclaringClass()`
  Returns the Class object corresponding to this enum constant's enum type.
  `final int`
  `hashCode()`
  Returns a hash code for this enum constant.
  `final String`
  `name()`
  Returns the name of this enum constant, exactly as declared in its enum declaration.
  `final int`
  `ordinal()`
  Returns the ordinal of this enumeration constant (its position in its enum declaration, where the initial constant is assigned an ordinal of zero).
  `String`
  `toString()`
  Returns the name of this enum constant, as contained in the declaration.
  `static <T extends Enum<T>>
  T`
  `valueOf(Class<T> enumClass, String name)`
  Returns the enum constant of the specified enum class with the specified name.

  ### Methods declared in class Object

  `getClass, notify, notifyAll, wait, wait, wait`
  Modifier and Type
  Method
  Description
  `final Class<?>`
  `getClass()`
  Returns the runtime class of this `Object`.
  `final void`
  `notify()`
  Wakes up a single thread that is waiting on this object's monitor.
  `final void`
  `notifyAll()`
  Wakes up all threads that are waiting on this object's monitor.
  `final void`
  `wait()`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted.
  `final void`
  `wait(long timeoutMillis)`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.
  `final void`
  `wait(long timeoutMillis, int nanos)`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.

- ## Enum Constant Details

  - ### ANY

    public static final XPathEvaluationResult.XPathResultType ANY
    Any type that represents any of the 5 other types listed below. Maps to `XPathEvaluationResult`.

  - ### BOOLEAN

    public static final XPathEvaluationResult.XPathResultType BOOLEAN
    The XPath 1.0 boolean data type. Maps to Java `Boolean`.

  - ### NUMBER

    public static final XPathEvaluationResult.XPathResultType NUMBER
    The XPath 1.0 Number data type. Maps to Java `Number`. Of the subtypes of Number, only Double, Integer and Long are required.

  - ### STRING

    public static final XPathEvaluationResult.XPathResultType STRING
    The XPath 1.0 String data type. Maps to Java `String`.

  - ### NODESET

    public static final XPathEvaluationResult.XPathResultType NODESET
    The XPath 1.0 NodeSet data type. Maps to `XPathNodes`.

  - ### NODE

    public static final XPathEvaluationResult.XPathResultType NODE
    The XPath 1.0 Node data type. Maps to `Node`.

- ## Method Details

  - ### values

    public static XPathEvaluationResult.XPathResultType[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static XPathEvaluationResult.XPathResultType valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getQNameType

    public static QName getQNameType(Class<?> clsType)
    Returns the QName type as specified in `XPathConstants` that corresponds to the specified class type.
    Parameters:
      `clsType` - a class type that the enum type supports
    Returns:
      the QName type that matches with the specified class type, null if there is no match